/// <reference types="commonmark" />
/// <reference types="react" />
import { ReactElement } from 'react';
import { Node } from 'commonmark';
import CommonMarkRenderer from './CommonMarkRenderer';
import RenderOptions from '../RenderOptions';
export default class ListRenderer extends CommonMarkRenderer {
    constructor(node: Node, options: RenderOptions | undefined);
    getDefaultProps(key: string): object;
    renderNodeWithProps(props: object): ReactElement<any>;
}
