/// <reference types="commonmark" />
/// <reference types="react" />
import { ReactElement } from 'react';
import { Node } from 'commonmark';
import CommonMarkRenderer from './CommonMarkRenderer';
import RenderOptions from '../RenderOptions';
export default class ParagraphRenderer extends CommonMarkRenderer {
    constructor(node: Node, options: RenderOptions | undefined);
    private isTightListChild();
    renderNodeWithProps(props: object): ReactElement<any> | null;
}
